Subject: bug#38250: PHP 7.3.11 fails its test suite

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 31 Jan 2020 22:47:47 -0500

Maxim Cournoyer <[email-masked]> writes:

> Whenever I tried building PHP as of Guix commit
> 2484e0b3e481e2b1fcb6761d0dbf80da98089de4, the following tests fail:
>
> =====================================================================
> FAILED TEST SUMMARY
> ---------------------------------------------------------------------
> Test disk_free_space and its alias diskfreespace() functions : basic functionality [ext/standard/tests/fi
> Test lstat() and stat() functions: usage variations - creating file/subdir [ext/standard/tests/file/lstat
> Test lstat() and stat() functions: usage variations - deleting file/subdir [ext/standard/tests/file/lstat
> =====================================================================
>
> The CI seems to be OK with it (I get a substitute).  I wonder if it has
> to do with my specific machine (X200).  It's equipped with 8 GB of RAM
> and 9 GB of swap.

I can still reproduce this issue on the current core-updates branch,
using a different x86_64 machine which has 8 GB RAM.